Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-92965

Support Android GnssStatus for API >= 24

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 6.2.0 Beta2, 6.3.0 Alpha
    • Component/s: Positioning
    • Labels:
      None
    • Platform/s:
      Android
    • Technical Risk:
      Normal
    • Commits:
      dd4200e16b49224ad2ff0f39415cddf165561b79 (qt/qtlocation/dev) 9adbc2f473c822b34c1090fabac549530f074872 (qt/qtlocation/6.2)
    • Story Points:
      13
    • Sprint:
      Qt6_Foundation_Sprint 36, Qt6_Foundation_Sprint 37, Qt6_Foundation_Sprint 38

      Description

      Currently QtPositioning android plugin uses GpsSatellite class to process satellite info.

      However this class is deprecated since API version 24, and GnssStatus should be used instead.

      Ideally we need to support both in our plugin, because Qt 6 should be running on API versions >= 23.

        Attachments

        For Gerrit Dashboard: QTBUG-92965
        # Subject Branch Project Status CR V

          Activity

            People

            Assignee:
            ivan.solovev Ivan Solovev
            Reporter:
            ivan.solovev Ivan Solovev
            PM Owner:
            Vladimir Minenko Vladimir Minenko
            RnD Owner:
            Alex Blasche Alex Blasche
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes